/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: OrderType
 * @Package cn.freemud.enums
 * @Description: 订单状态
 * @author: liming.guo
 * @date: 2018/5/21 14:43
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package cn.freemud.enums;

public enum RefundStatus {

    APPLY_REFUND(1, "申请退款","Apply for a refund"),
    AGREE_REFUND(2, "同意退款","Agree to refund"),
    ALREADY_REFUND(3, "已退货","Returned"),
    COMPLETE_REFUND(4, "退款完成","Refund complete"),
    REFUSE_REFUND(5, "拒绝退款","Refuse refund");

    /**编号**/
    private Integer code;
    /**中文**/
    private String desc;
    /**英文**/
    private String descEn;

    RefundStatus(Integer code, String desc, String descEn) {
        this.code = code;
        this.desc = desc;
        this.descEn = descEn;
    }

    public static RefundStatus getByCode(Integer code) {
        for (RefundStatus status : values()) {
            if (status.getCode().equals(code)) {
                return status;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getDescEn() {
        return descEn;
    }

    public void setDescEn(String descEn) {
        this.descEn = descEn;
    }
}
